Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 782970 (CVE-2021-21201, CVE-2021-21202, CVE-2021-21203, CVE-2021-21204, CVE-2021-21205, CVE-2021-21207, CVE-2021-21208, CVE-2021-21209, CVE-2021-21210, CVE-2021-21211, CVE-2021-21212, CVE-2021-21213, CVE-2021-21214, CVE-2021-21215, CVE-2021-21216, CVE-2021-21217, CVE-2021-21218, CVE-2021-21219, CVE-2021-21221)

Summary: <www-client/chromium-90.0.4430.72 <www-client/google-chrome-90.0.4430.72: Multiple vulnerabilities (CVE-2021-{21201,21202,21203,21204,21205,21221,21207,21208,21209,21210,21211,21212,21213,21214,21215,21216,21217,21218,21219})
Product: Gentoo Security Reporter: Stephan Hartmann <sultan>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: normal CC: chromium
Priority: Normal Flags: nattka: sanity-check-
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://chromereleases.googleblog.com/2021/04/stable-channel-update-for-desktop_14.html
See Also: https://bugs.gentoo.org/show_bug.cgi?id=787950
Whiteboard: A2 [glsa+ cve]
Package list:
www-client/chromium-90.0.4430.72
Runtime testing required: ---

Description Stephan Hartmann gentoo-dev 2021-04-15 07:17:26 UTC
See ${URL}.

www-client/google-chrome bumped already.
Comment 1 Larry the Git Cow gentoo-dev 2021-04-15 16:58:46 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7d07fd40e72a359cc6d52c6d08cc72c4cec203d1

commit 7d07fd40e72a359cc6d52c6d08cc72c4cec203d1
Author:     Stephan Hartmann <sultan@gentoo.org>
AuthorDate: 2021-04-15 16:58:12 +0000
Commit:     Stephan Hartmann <sultan@gentoo.org>
CommitDate: 2021-04-15 16:58:41 +0000

    www-client/chromium: stable channel bump to 90.0.4430.72
    
    Bug: https://bugs.gentoo.org/782970
    Package-Manager: Portage-3.0.17, Repoman-3.0.2
    Signed-off-by: Stephan Hartmann <sultan@gentoo.org>

 www-client/chromium/Manifest                                            | 2 +-
 .../{chromium-90.0.4430.70.ebuild => chromium-90.0.4430.72.ebuild}      | 0
 2 files changed, 1 insertion(+), 1 deletion(-)
Comment 2 John Helmert III gentoo-dev Security 2021-04-15 22:59:42 UTC
Thanks, please stable when ready!
Comment 3 Stephan Hartmann gentoo-dev 2021-04-19 13:03:34 UTC
arm64 done
Comment 4 Stephan Hartmann gentoo-dev 2021-04-19 13:04:50 UTC
amd64 done
Comment 5 Larry the Git Cow gentoo-dev 2021-04-19 13:07:04 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0281624f33f5b72153c975719759fa15b7804aba

commit 0281624f33f5b72153c975719759fa15b7804aba
Author:     Stephan Hartmann <sultan@gentoo.org>
AuthorDate: 2021-04-19 13:06:27 +0000
Commit:     Stephan Hartmann <sultan@gentoo.org>
CommitDate: 2021-04-19 13:06:53 +0000

    www-client/chromium: security cleanup
    
    Bug: https://bugs.gentoo.org/782970
    Package-Manager: Portage-3.0.17, Repoman-3.0.2
    Signed-off-by: Stephan Hartmann <sultan@gentoo.org>

 www-client/chromium/Manifest                       |   3 -
 www-client/chromium/chromium-89.0.4389.114.ebuild  | 900 --------------------
 www-client/chromium/chromium-89.0.4389.128.ebuild  | 910 ---------------------
 .../files/chromium-89-webcodecs-deps.patch         |  26 -
 4 files changed, 1839 deletions(-)
Comment 6 John Helmert III gentoo-dev Security 2021-04-20 13:11:13 UTC
Thank you!
Comment 7 NATTkA bot gentoo-dev 2021-04-23 16:52:24 UTC
Unable to check for sanity:

> no match for package: www-client/chromium-90.0.4430.72
Comment 8 Thomas Deutschmann gentoo-dev Security 2021-04-30 23:02:45 UTC
Added to an existing GLSA request.
Comment 9 GLSAMaker/CVETool Bot gentoo-dev 2021-05-01 00:02:35 UTC
This issue was resolved and addressed in
 GLSA 202104-08 at https://security.gentoo.org/glsa/202104-08
by GLSA coordinator Thomas Deutschmann (whissi).